Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDetail.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -31,7 +31,7 @@
         /// <summary>
         /// 注文書明細データ明細フィールド並び
         /// </summary>
-        public enum PurchaseOrderDetailColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	// 工事番号
 
@@ -46,7 +46,8 @@
             UnitName,		        // 単位
             UnitPrice,		        // 単価
             OrdersLinePrice,		// 金額
-            
+            SourceCode,             // 予算作成時工事番号
+
             EntryDate,
             UpdateDate,
         }
@@ -64,13 +65,81 @@
 
         #endregion
 
-        #region 注文書明細データ検索
+        #region SELECT　SQL作成
         /// <summary>
-        /// 注文書明細データ検索
+        /// SQL作成
         /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  ConstructionCode";	        // 工事コード
+            strcmd += ", SeqNo";                    // 注文書枝番
+            strcmd += ", GroupCount";               // グループ番号
+            strcmd += ", LineCount";                // 行番号
+            strcmd += ", ComponentCode";            // 構成キー
+            strcmd += ", ItemCode";		            // 工種キー
+            strcmd += ", FirstString";              // 工種品名
+            strcmd += ", SecondString";             // 内容内訳
+            strcmd += ", UnitCount";		        // 数量
+            strcmd += ", UnitName";		            // 単位
+            strcmd += ", UnitPrice";		        // 単価
+            strcmd += ", OrdersLinePrice";		    // 金額
+            strcmd += ", SourceCode";               // 予算作成時工事番号
+
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM PurchaseOrderDetail";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 注文書明細データ検索（１件）
+        /// <summary>
+        /// 注文書明細データ検索（１件）
+        /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">注文書明細データ明細データ</param>
         /// <returns>true：成功 false：失敗</returns>
+        public bool SelectAction(string AddSQLString, ref PurchaseOrderDetail data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 注文書明細データ検索（複数件）
+        /// <summary>
+        /// 注文書明細データ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">注文書明細データ明細データ</param>
+        /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrderDetail> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -79,27 +148,9 @@
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                
-                strcmd += "  ConstructionCode";	        // 工事コード
-                strcmd += ", SeqNo";                    // 注文書枝番
-                strcmd += ", GroupCount";               // グループ番号
-                strcmd += ", LineCount";                // 行番号
-                strcmd += ", ComponentCode";            // 構成キー
-                strcmd += ", ItemCode";		            // 工種キー
-                strcmd += ", FirstString";              // 工種品名
-                strcmd += ", SecondString";             // 内容内訳
-                strcmd += ", UnitCount";		        // 数量
-                strcmd += ", UnitName";		            // 単位
-                strcmd += ", UnitPrice";		        // 単価
-                strcmd += ", OrdersLinePrice";		    // 金額
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
 
-                strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM PurchaseOrderDetail";
-                strcmd += AddSQLString;
-
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
 
@@ -134,6 +185,23 @@
             {
 
                 strcmd = "INSERT INTO PurchaseOrderDetail";
+                strcmd += " (";
+                strcmd += "  ConstructionCode";	        // 工事コード
+                strcmd += ", SeqNo";                    // 注文書枝番
+                strcmd += ", GroupCount";               // グループ番号
+                strcmd += ", LineCount";                // 行番号
+                strcmd += ", ComponentCode";            // 構成キー
+                strcmd += ", ItemCode";		            // 工種キー
+                strcmd += ", FirstString";              // 工種品名
+                strcmd += ", SecondString";             // 内容内訳
+                strcmd += ", UnitCount";		        // 数量
+                strcmd += ", UnitName";		            // 単位
+                strcmd += ", UnitPrice";		        // 単価
+                strcmd += ", OrdersLinePrice";		    // 金額
+                strcmd += ", SourceCode";               // 予算作成時工事番号
+                strcmd += ", EntryDate";
+                strcmd += ", UpdateDate";
+                strcmd += ")";
 
                 strcmd += " VALUES (";
 
@@ -150,9 +218,10 @@
                 strcmd += string.Format(",'{0}'", work.UnitName);		        // 単位
                 strcmd += string.Format(", {0}", work.UnitPrice);		        // 単価
                 strcmd += string.Format(", {0}", work.OrdersLinePrice);         // 金額
+                strcmd += string.Format(", {0}", work.SourceCode);              // 予算作成時工事番号
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(TO_CHAR(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(TO_CHAR(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -222,8 +291,9 @@
                 strcmd += string.Format(", UnitName = '{0}'", data.UnitName);		                // 単位
                 strcmd += string.Format(", UnitPrice = {0}", data.UnitPrice);		                // 単価
                 strcmd += string.Format(", OrdersLinePrice = {0}", data.OrdersLinePrice);		    // 金額
+                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);                     // 予算作成時工事番号
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -265,6 +335,77 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE PurchaseOrderDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode: // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SeqNo:            // 注文書枝番
+                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.GroupCount:       // グループ番号
+                        strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.LineCount:        // 行番号
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ComponentCode:    // 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemCode:		    // 工種キー
+                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.FirstString:      // 工種・品名
+                        strcmd += string.Format(" FirstString = '{0}'", value);
+                        break;
+                    case (int)TableColumn.SecondString:     // 内容内訳
+                        strcmd += string.Format(" SecondString = '{0}'", value);
+                        break;
+                    case (int)TableColumn.UnitCount:		// 数量
+                        strcmd += string.Format(" UnitCount = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.UnitName:		    // 単位
+                        strcmd += string.Format(" UnitName = '{0}'", value);
+                        break;
+                    case (int)TableColumn.UnitPrice:		// 単価
+                        strcmd += string.Format(" UnitPrice = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.OrdersLinePrice:	// 金額
+                        strcmd += string.Format(" OrdersLinePrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.SourceCode:       // 予算作成時工事番号
+                        strcmd += string.Format(" SourceCode = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 構造体へセット
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -276,23 +417,24 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.ConstructionCode].ToString());           // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.SeqNo].ToString());                                 // 注文書枝番
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());         // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                               // 注文書枝番
 
-                wrk.GroupCount = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.GroupCount].ToString());	                    // グループ番号
-                wrk.LineCount = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.LineCount].ToString());	                        // 行番号
+                wrk.GroupCount = int.Parse(objwrk[(int)TableColumn.GroupCount].ToString());	                    // グループ番号
+                wrk.LineCount = int.Parse(objwrk[(int)TableColumn.LineCount].ToString());	                    // 行番号
 
-                wrk.ComponentCode = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.ComponentCode].ToString());	                // 構成キー
-                wrk.ItemCode = int.Parse(objwrk[(int)PurchaseOrderDetailColumn.ItemCode].ToString());		                    // 工種キー
-                wrk.FirstString = objwrk[(int)PurchaseOrderDetailColumn.FirstString].ToString();	                            // 工種・品名
-                wrk.SecondString = objwrk[(int)PurchaseOrderDetailColumn.SecondString].ToString();	                            // 内容内訳
-                wrk.UnitCount = double.Parse(objwrk[(int)PurchaseOrderDetailColumn.UnitCount].ToString());		                // 数量
-                wrk.UnitName = objwrk[(int)PurchaseOrderDetailColumn.UnitName].ToString();		                                // 単位
-                wrk.UnitPrice = double.Parse(objwrk[(int)PurchaseOrderDetailColumn.UnitPrice].ToString());		                // 単価
-                wrk.OrdersLinePrice = double.Parse(objwrk[(int)PurchaseOrderDetailColumn.OrdersLinePrice].ToString());		    // 金額
+                wrk.ComponentCode = int.Parse(objwrk[(int)TableColumn.ComponentCode].ToString());	            // 構成キー
+                wrk.ItemCode = int.Parse(objwrk[(int)TableColumn.ItemCode].ToString());		                    // 工種キー
+                wrk.FirstString = objwrk[(int)TableColumn.FirstString].ToString();	                            // 工種・品名
+                wrk.SecondString = objwrk[(int)TableColumn.SecondString].ToString();	                        // 内容内訳
+                wrk.UnitCount = double.Parse(objwrk[(int)TableColumn.UnitCount].ToString());		            // 数量
+                wrk.UnitName = objwrk[(int)TableColumn.UnitName].ToString();		                            // 単位
+                wrk.UnitPrice = double.Parse(objwrk[(int)TableColumn.UnitPrice].ToString());		            // 単価
+                wrk.OrdersLinePrice = double.Parse(objwrk[(int)TableColumn.OrdersLinePrice].ToString());		// 金額
+                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());                     // 予算作成時工事番号
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)PurchaseOrderDetailColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)PurchaseOrderDetailColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -315,7 +457,7 @@
         /// <param name="OutsourcingFlg"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int PageCount = 0, int LineCount = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int GroupCount = 0, int LineCount = 0)
         {
             string strWork = "";
             try
@@ -323,8 +465,8 @@
                 strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
                     strWork += string.Format(" And SEQNO = {0}", SeqNo);
-                if (PageCount != 0)
-                    strWork += string.Format(" And GROUPCOUNT = {0}", PageCount);
+                if (GroupCount != 0)
+                    strWork += string.Format(" And GROUPCOUNT = {0}", GroupCount);
                 if (LineCount != 0)
                     strWork += string.Format(" And LineCount = {0}", LineCount);
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestData.cs	(revision 51)
@@ -0,0 +1,378 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求データアクセスクラス
+    /// </summary>
+    public class IORequestData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            RequestNo = 0,
+            ConstructionCode,
+            OrderersDivision,
+            OrderersCode,
+            AmountPaid,
+            PricePaid,
+            TaxPricePaid,
+            PriceBalance,
+            TaxBalance,
+            AmountBlance,
+            ENTRY_DATE,
+            UPDATE_DATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORequestData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 請求データ検索
+        /// <summary>
+        /// 請求データ検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<RequestData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " RequestNo";
+                strcmd += " ,ConstructionCode";
+                strcmd += " ,OrderersDivision";
+                strcmd += " ,OrderersCode";
+                strcmd += " ,AmountPaid";
+                strcmd += " ,PricePaid";
+                strcmd += " ,TaxPricePaid";
+                strcmd += " ,PriceBalance";
+                strcmd += " ,TaxBalance";
+                strcmd += " ,AmountBlance";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM RequestData";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RequestData work = new RequestData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求データ複数追加
+        /// <summary>
+        /// 請求データ複数追加
+        /// </summary>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<RequestData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (RequestData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求データ１件追加
+        /// <summary>
+        /// 請求データ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(RequestData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO RequestData";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format(" {0}", data.RequestNo.ToString());
+                strcmd += string.Format(", {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(", {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(", {0}", data.AmountPaid.ToString());
+                strcmd += string.Format(", {0}", data.PricePaid.ToString());
+                strcmd += string.Format(", {0}", data.TaxPricePaid.ToString());
+                strcmd += string.Format(", {0}", data.PriceBalance.ToString());
+                strcmd += string.Format(", {0}", data.TaxBalance.ToString());
+                strcmd += string.Format(", {0}", data.AmountBlance.ToString());
+
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求データ更新
+        /// <summary>
+        /// 請求データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, RequestData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE RequestData";
+
+                strcmd += " SET";
+
+                // strcmd += string.Format(" RequestNo = {0}", data.RequestNo.ToString());
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd += string.Format(",OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(",AmountPaid = {0}", data.AmountPaid.ToString());
+                strcmd += string.Format(",PricePaid = {0}", data.PricePaid.ToString());
+                strcmd += string.Format(",TaxPricePaid = {0}", data.TaxPricePaid.ToString());
+                strcmd += string.Format(",PriceBalance = {0}", data.PriceBalance.ToString());
+                strcmd += string.Format(",TaxBalance = {0}", data.TaxBalance.ToString());
+                strcmd += string.Format(",AmountBlance = {0}", data.AmountBlance.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求データ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM RequestData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref RequestData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
+                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
+                wrk.AmountPaid = int.Parse(objwrk[(int)NameColumn.AmountPaid].ToString());
+                wrk.PricePaid = int.Parse(objwrk[(int)NameColumn.PricePaid].ToString());
+                wrk.TaxPricePaid = int.Parse(objwrk[(int)NameColumn.TaxPricePaid].ToString());
+                wrk.PriceBalance = int.Parse(objwrk[(int)NameColumn.PriceBalance].ToString());
+                wrk.TaxBalance = int.Parse(objwrk[(int)NameColumn.TaxBalance].ToString());
+                wrk.AmountBlance = int.Parse(objwrk[(int)NameColumn.AmountBlance].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref RequestData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RequestNo = 0;
+                wrk.ConstructionCode = 0;
+                wrk.OrderersDivision = 0;
+                wrk.OrderersCode = 0;
+                wrk.AmountPaid = 0;
+                wrk.PricePaid = 0;
+                wrk.TaxPricePaid = 0;
+                wrk.PriceBalance = 0;
+                wrk.TaxBalance = 0;
+                wrk.AmountBlance = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int RequestNo)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region サブキー検索の文字列を返す
+        /// <summary>
+        /// サブキー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreateSubkeyString(int ConstructionCode)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode.ToString());
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+
+}
+
